#!/usr/bin/bash

PROJECT_ROOT=$1

if [ -z ${PROJECT_ROOT+x} ]; then
    echo "error no project_root set"
    exit 1
fi

mkdir -p "${PROJECT_ROOT}"
cd "${PROJECT_ROOT}" || exit 1
rm -rf ./*
wget https://git.pweapon.org/odo/dl.emersa.it/releases/download/latest/build.tar.gz
tar -xvf build.tar.gz -C .
rm build.tar.gz
npm ci
npm run download-yt-dlp
echo "YTDLP_PATH=$(readlink -f yt-dlp)" >>.env
